Innehåll

# DefDate Statement

Om ett typdeklarationstecken eller nyckelord saknas, anger instruktionen DefDate standarddatatypen för variabler enligt ett bokstavsintervall.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parametrar:

char: Letter prefix that specifies default data type for variables.

char-char: Letter range prefixes that specify default data type for variables.

### Exempel:

        ' Prefix definitions for variable types:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefDate
          tDate=Date ' tDate är en implicit datumvariabel
          Print VarType(tea), train, TypeName(timedate), IsDate(tick) ' Displays: 7 00:00:00 Date True
      End Sub